Skip to content

Connect an SMS provider (logged)

POST
/api/v1/workspaces/{workspace}/sms/providers
curl --request POST \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "adapter": "example", "fields": { "additionalProperty": "example" }, "name": "example", "setupId": "example" }'

Permission: providers:manage (sensitive)

Checks the credentials, registers the receipt and inbound webhooks where the API allows it, and lists the numbers in the account. Credentials are sealed and never returned.

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

Media typeapplication/json
object
adapter
required
string
>= 1 characters
fields
required
object
key
additional properties
string
name
string
<= 60 characters
setupId
string

Example generated

{
"adapter": "example",
"fields": {
"additionalProperty": "example"
},
"name": "example",
"setupId": "example"
}

Created

Media typeapplication/json
object
account
required
object
hint
required
string
id
required
string
live
required
boolean
name
required
string
providerId
required
string
senders
required
Array<object>
object
countries
required
Array<string>
imported
required
boolean
kind
required
string
Allowed values: toll_free 10dlc local mobile sender_id
label
required
string
providerRef
required
string
registration
required
object
country
required
string
kind
required
string
Allowed values: toll_free brand campaign sender_id ""
name
string
readAt
string format: date-time
reason
string
setBy
string
since
string format: date-time
source
required
string
Allowed values: api manual rule ""
status
required
string
Allowed values: not_registered pending verified approved rejected allowed not_supported
throughput
required
number format: double
value
required
string
setupId
required
string
webhooks
required
object
error
string
mode
required
string
Allowed values: registered manual
secret
string
url
required
string

Example

{
"senders": [
{
"kind": "toll_free",
"registration": {
"kind": "toll_free",
"source": "api",
"status": "not_registered"
}
}
],
"webhooks": {
"mode": "registered"
}
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}